/*
Theme Name: WecubeRemovals
Description: WecubeRemovals Child Theme
Template: hello-elementor
Version: 1.0
Tags: four-columns, right-sidebar, full-width-template
Text Domain: wecube

This theme, like WordPress, is licensed under the GPL.Use it to make something cool, have fun, and share what you've learned with others.
*/



.header-btn .elementor-button{
	clip-path: polygon(0 0, 100% 0, 100% 100%, 25% 100%);
}
.header-border {
	position: relative;
}
.header-border::before {
	content: "";
	position: absolute;
	top: 0;
	right: 0;
	height: 1px; 
	width: 100%;
	background: linear-gradient(to left, var( --e-global-color-accent ) 0%, rgba(0, 0, 0, 0) 100%);
}
.elementor-button-info .elementor-button:hover .elementor-button-icon{
	animation: btn-arrow 0.4s ease-in-out;
}
@keyframes btn-arrow {
	0%   {
		transform: translateX(0px);
		opacity: 1;
	}
	50%  {
		transform: translateX(30px);
		opacity: 0;
	}
	51%  {
		transform: translateX(-30px);
		opacity: 0;
	}
	100% {
		transform: translateX(0px);
		opacity: 1;
	}
}
.banner-form .e-form__indicators,
.banner-form .elementor-field-type-previous{
	display: none;
}
.banner-form .e-form__buttons__wrapper{
	align-items: flex-end;
}
.banner-form select option{
	background: var( --e-global-color-70473ad ) !important;
	color: #fff !important;
}
.banner-form.white-form select option{
	background: #fff !important;
	color: var( --e-global-color-70473ad ) !important;
}
.white-logo img{
	filter: brightness(0) invert(1);

}
.line-truck .elementor-divider-separator:before {
	transform: translateY(6px);
}
.animate-truck .elementor-divider-separator:before {
	transform: translateY(6px);
	animation: truckGrow 10s ease-in-out infinite;
}
@keyframes truckGrow {
	0% {
		flex-grow: 0;
		opacity: 1;
	}
	50% {
		flex-grow: 1;
		opacity: 1;
	}
	90% {
		flex-grow: 1;
		opacity: 1;
	}
	91% {
		flex-grow: 0;
		opacity: 0;
	}
	100% {
		flex-grow: 0;
		opacity: 1;
	}
}

.animate-truck .elementor-icon {
	animation: truckhide 10s ease-in-out infinite;
}
@keyframes truckhide {
	0% {opacity: 1;}
	50% {opacity: 1;}
	89% {opacity: 1;}
	91% {opacity: 0;}
	100% {opacity: 1;}
}
.home-service-bx img,
.service-arrow{
	transition: all 0.5s;
}
.home-service-bx:hover img{
	transform: scale(1.15) ;
}
.home-service-bx .elementor-icon-wrapper{
	height: 56px;
}
.home-service-bx:hover .service-arrow{
	transform: rotate(-45deg);
}
.image-left-overlay:before{
	width: calc(50% - 40px);
}
.image-right-overlay:before{
	width: calc(50% - 40px);
	left: auto;
	right: 0;
}
.squar-bt-lf-dark:before,
.squar-bt-rg-dark:before,
.squar-tp-rg-dark:before,
.squar-tp-lf-dark:before{
	content: "";
	height: calc(100% - 40px);
	width: calc(100% - 40px);
	background: transparent;
	position: absolute;
	border: 8px solid var( --e-global-color-70473ad );
	bottom: 0;
	left: 0;
	z-index: 0;
}
.squar-bt-lf-dark img,
.squar-bt-rg-dark img,
.squar-tp-rg-dark img,
.squar-tp-lf-dark img{
	z-index: 1;
	position: relative;
}
.squar-bt-rg-dark:before{
	bottom: 0;
	right: 0;
	left: auto;
}
.squar-tp-rg-dark:before{
	top: 0;
	right: 0;
	left: auto;
	bottom: auto;
}
.squar-tp-lf-dark:before{
	top: 0;
	left: 0;
	bottom: auto;
}
.line-red:before{
	border: 8px solid var( --e-global-color-secondary );
}


/* 
header line css */
.menu-icon {
	width: 35px;
	height: 24px;
	position: relative;
	cursor: pointer;
}

.menu-icon span {
	position: absolute;
	height: 3px;
	background: #000;
	border-radius: 2px;
	transition: all 0.4s ease;
}

/* Default (short lines like your screenshot) */
.menu-icon span:nth-child(1) {
	width: 22px;
	top: 0;
	left: 0;
}

.menu-icon span:nth-child(2) {
	width: 22px;
	top: 9px;
	left: -8px;
}

.menu-icon span:nth-child(3) {
	width: 22px;
	top: 18px;
	left: 0;
}


.menu-icon:hover span:nth-child(1) {
	transform: translateX(-8px);
}

.menu-icon:hover span:nth-child(2) {
	transform: translateX(6px);
}

.menu-icon:hover span:nth-child(3) {
	transform: translateX(-8px);
}

/* Blog Grid css */
.blog-loop-hov:hover img{
	transform: scale(1.2) rotate(5deg);
}
.blog-loop-hov img{
    overflow: hidden !important;
}
.blog-loop-hov img, .blog-loop-hov .elementor-heading-title a, .blog-loop-hov .elementor-button-text, .blog-loop-hov .elementor-button-icon svg{
	transition: 0.3s  !important;
}
.blog-loop-hov:hover .elementor-heading-title a, .blog-loop-hov:hover .elementor-button-text, .blog-loop-hov:hover .elementor-button-icon svg{
	color: #0187cd;
	fill: #0187cd;
}
.blog-loop-hov:hover .elementor-button-icon svg{
	transform: translatex(5px)
}
.blog-loop-hov:hover .elementor-button-icon svg {
    transform: translateX(5px);
    fill: #0187cd !important;
}
.blog-loop-hov:hover .elementor-button-icon svg path {
    fill: #0187cd !important;
}




/* Pop up css */
.header-popup .dialog-close-button {
	border: 2px solid var( --e-global-color-primary );
	padding: 6px;
}
.header-popup .dialog-close-button svg{
	transition: transform 0.3s ease;
}
.header-popup .dialog-close-button,
.locations-grid a{
	transition: all 0.3s;
}

.header-popup .dialog-close-button:hover svg {
	transform: rotateY(180deg);
	fill: #fff !important;
}
.header-popup .dialog-close-button:hover{
	background: var( --e-global-color-secondary );
	border-color: var( --e-global-color-secondary );
}
.locations-grid a{
	position: relative;
	padding-left: 18px;
}
.locations-grid a:hover {
	color: var( --e-global-color-secondary )!important;
}
.locations-grid a:before {
	content: "\25CF";
	font-size: 14px;
	position: absolute;
	left: 0;
	top: -2px;
}
.other-city-list .elementor-icon-list-item{
	width: calc(25% - 20px);
	margin-top: 25px;
	align-items: flex-start;
}
.other-city-list .elementor-icon-list-item .elementor-icon-list-text {
	align-self: flex-start !important;
}
.other-city-list.list-col2  .elementor-icon-list-item{
	width: calc(50% - 20px);
}
.step-slider .swiper-slide,
.step-slider .swiper{
	overflow: visible;
}

.step-slider .swiper-slide:before{
	content: "";
	width: 2px;
	height: 100%;
	position: absolute;
	left: 0;
	top: 0;
	border-left: 1px dashed #b3b3b34d;
	transition: all 0.5s;
}
.round-number .elementor-heading-title{
	height: 60px;
	width: 60px;
	padding: 0;
	display: flex;
	justify-content: center;
	align-items: center;
	background: var( --e-global-color-accent );
	border-radius: 50%;
}
.step-text{
	writing-mode: vertical-lr;
}
.step-description p{
	margin-bottom: 0;
}
.step-slider .swiper-slide:hover:before{
	border-color: var( --e-global-color-accent );
}
.step-slider .swiper-slide .elementor-icon,
.step-slider .swiper-slide .step-text .elementor-heading-title{
	transition: all 0.5s;
}
.step-slider .swiper-slide:hover .elementor-icon{
	background-color: #FFFFFF42 !important;
}
.step-slider .swiper-slide:hover .step-text .elementor-heading-title{
	color: var(--e-global-color-accent) !important;
	stroke: none;
	-webkit-text-stroke-color: transparent;
}
.home-blog .elementor-post__excerpt p{
	display: -webkit-box;
	-webkit-line-clamp: 3;
	-webkit-box-orient: vertical;
	overflow: hidden;
}
.home-blog .elementor-post__read-more{
	background-color: #fff !important;
	height: 50px;
	width: 50px;
	padding: 15px;
	border-radius: 50%;
	transform: rotate(-45deg);
	transition: all 0.5s;
	margin: 0 !important;
	position: absolute;
	left: 0px;
	bottom: 0;
}
.home-blog .elementor-post__read-more:hover{
	transform: rotate(0deg);
}
.home-blog .elementor-post__title a{
	transition: all 0.4s;
}
.home-blog .elementor-post__title a:hover{
	color: var( --e-global-color-secondary ) !important;
}
.home-blog .elementor-post__text{
	padding-bottom: 50px !important;
}
.home-faq .e-n-accordion-item-title-icon svg,
.home-faq .e-n-accordion-item-title-icon,
.home-faq .e-n-accordion-item-title-icon > span{
	width: 50px;
	height: 50px !important;
}
.height-full {
	height: 100% !important;
}
/* header css 1366 */
@media screen and (min-width: 1367px) and (max-width: 1470px){
	.header-border .elementor-nav-menu--main a{
		padding-right: 7px!important;
		padding-left: 7px!important;
	}
}
@media screen and (min-width: 1366px) and (max-width: 1367px) {
    .header-respo.elementor-widget-nav-menu{
		opacity: 0!important;
	}
	.header-respo .elementor-element-1c2697b, .header-respo .elementor-element-20c2ee5, .header-respo .elementor-element-6eaa7d4, .header-respo .elementor-element-298bd12, .header-respo .elementor-element-aa0bfed{
		display: none!important;
	}
	.header-respo .elementor-element-a862d2c{
		align-self: center; 
	}
	.header-respo.elementor-element-4637d3e{
		padding-left: 800px;
	}
	.header-btn{
		margin-left: -30px;
		margin-right: -10px;
	}
	
}
@media screen and (max-width: 1366px) {
	.remove-br-lap br{
		display: none;
	}
	.other-city-list .elementor-icon-list-item{
		width: calc(33.33% - 20px);
	}
}
@media screen and (max-width: 1024px) {
	.remove-br-tab br{
		display: none;
	}
}
@media screen and (max-width: 767px) {
	.remove-br-mob br{
		display: none;
	}
	.other-city-list .elementor-icon-list-item{
		width: 100%;
	}
	.step-text	{
		writing-mode: revert;
		transform: rotate(0deg) !important;
	}
	.header-border::before {
	width: 0% !important;
	background: transparent !important;
}
}